Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_Parsed_Info Class Reference

`#include <Svcconf_Handler.h>`

List of all members.

## Public Types
enum | Service_Type { MODULE_TYPE, SERVICE_OBJECT_TYPE, STREAM_TYPE, INVALID_TYPE }
## Public Member Functions
| ACE_Parsed_Info ()
| ~ACE_Parsed_Info ()
int | name (const ACEXML_Char *n)
const ACEXML_Char * | name (void)
int | service_type (Service_Type type)
Service_Type | service_type (void)
int | active (int a)
int | active (void)
int | path (const ACEXML_Char *n)
const ACEXML_Char * | path (void)
int | init_func (const ACEXML_Char *n)
const ACEXML_Char * | init_func (void)
int | init_params (const ACEXML_Char *n)
const ACEXML_Char * | init_params (void)
void | reset (void)
## Protected Attributes
ACEXML_Char * | name_
Service_Type | service_type_
int | active_
ACEXML_Char * | path_
ACEXML_Char * | init_func_
ACEXML_Char * | init_params_

## Member Enumeration Documentation

enum ACE_Parsed_Info::Service_Type

  | Enumeration values:
  MODULE_TYPE |
  SERVICE_OBJECT_TYPE |
  STREAM_TYPE |
  INVALID_TYPE |

## Constructor & Destructor Documentation

ACE_INLINE ACE_Parsed_Info::ACE_Parsed_Info | ( |  | ) |

ACE_INLINE ACE_Parsed_Info::~ACE_Parsed_Info | ( |  | ) |

## Member Function Documentation

ACE_INLINE int ACE_Parsed_Info::active | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::active | ( | int | a | ) |

| Set/Get active status.

ACE_INLINE const ACEXML_Char * ACE_Parsed_Info::init_func | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::init_func | ( | const ACEXML_Char * | n | ) |

| Set/get initializer init function.

ACE_INLINE const ACEXML_Char * ACE_Parsed_Info::init_params | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::init_params | ( | const ACEXML_Char * | n | ) |

| Set/get initializer init parameter.

ACE_INLINE const ACEXML_Char * ACE_Parsed_Info::name | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::name | ( | const ACEXML_Char * | n | ) |

| Set/get name of a parsed entity.

ACE_INLINE const ACEXML_Char * ACE_Parsed_Info::path | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::path | ( | const ACEXML_Char * | n | ) |

| Set/get initializer path.

ACE_INLINE void ACE_Parsed_Info::reset | ( | void |  | ) |

| Reset Parsed_Info.

ACE_INLINE ACE_Parsed_Info::Service_Type ACE_Parsed_Info::service_type | ( | void |  | ) |

ACE_INLINE int ACE_Parsed_Info::service_type | ( | Service_Type | type | ) |

| Set/get type of a dynamic node.

## Member Data Documentation

int ACE_Parsed_Info::active_`[protected]`

ACEXML_Char* ACE_Parsed_Info::init_func_`[protected]`

ACEXML_Char* ACE_Parsed_Info::init_params_`[protected]`

ACEXML_Char* ACE_Parsed_Info::name_`[protected]`

ACEXML_Char* ACE_Parsed_Info::path_`[protected]`

Service_Type ACE_Parsed_Info::service_type_`[protected]`

The documentation for this class was generated from the following files:

- Svcconf_Handler.h
- Svcconf_Handler.i